package zm.co.tahla.spring;

import com.vaadin.flow.component.Component;
import com.vaadin.flow.component.HasElement;
import com.vaadin.flow.component.UI;
import com.vaadin.flow.component.applayout.AppLayout;
import com.vaadin.flow.component.applayout.AppLayoutMenu;
import com.vaadin.flow.component.applayout.AppLayoutMenuItem;
import com.vaadin.flow.component.button.Button;
import com.vaadin.flow.component.html.H3;
import com.vaadin.flow.component.html.Image;
import com.vaadin.flow.component.html.Span;
import com.vaadin.flow.component.notification.Notification;
import com.vaadin.flow.router.RouterLayout;
import org.springframework.beans.factory.annotation.Autowired;

import com.vaadin.flow.component.orderedlayout.VerticalLayout;
import com.vaadin.flow.router.Route;

@Route("")
public class MainView extends VerticalLayout {
    private AppLayout appLayout;
    Image img;
    AppLayoutMenu menu;

    public MainView() {
        appLayout = new AppLayout();
        img = new Image("https://i.imgur.com/GPpnszs.png", "Vaadin Logo");
        img.setHeight("44px");
        appLayout.setBranding(img);

        creatMenu();

        add(appLayout);
    }

    private void creatMenu() {
        menu = appLayout.createMenu();
        menu.addMenuItems(
                new AppLayoutMenuItem("Page 1", "page1"),
                new AppLayoutMenuItem("Page 2", "page2"),
                new AppLayoutMenuItem("Page 3", "page2"));

        Component content = new Span(new H3("Page title"),
                new Span("Page content"));

        appLayout.setContent(content);
    }
}
